ps_search_s Struct Reference

Base structure for search module. More...

`#include <pocketsphinx_internal.h>`

## Data Fields

ps_searchfuncs_t * | vt
| V-table of search methods. More...
char * | type
char * | name
ps_search_t * | pls
| Phoneme loop for lookahead. More...
cmd_ln_t * | config
| Configuration. More...
acmod_t * | acmod
| Acoustic model. More...
dict_t * | dict
| Pronunciation dictionary. More...
dict2pid_t * | d2p
| Dictionary to senone mappings. More...
char * | hyp_str
| Current hypothesis string. More...
ps_lattice_t * | dag
| Current hypothesis word graph. More...
ps_latlink_t * | last_link
| Final link in best path. More...
int32 | post
| Utterance posterior probability. More...
int32 | n_words
| Number of words known to search (may be less than in the dictionary)
int32 | start_wid
| Start word ID. More...
int32 | silence_wid
| Silence word ID. More...
int32 | finish_wid
| Finish word ID. More...

## Detailed Description

Base structure for search module.

Definition at line 98 of file pocketsphinx_internal.h.

## Field Documentation

acmod_t* ps_search_s::acmod

Acoustic model.

Definition at line 106 of file pocketsphinx_internal.h.

Referenced by ps_lattice_init_search(), ps_search_init(), and ps_seg_frames().

cmd_ln_t* ps_search_s::config

Configuration.

Definition at line 105 of file pocketsphinx_internal.h.

Referenced by ps_lattice_init_search(), ps_lattice_read(), and ps_search_init().

dict2pid_t* ps_search_s::d2p

Dictionary to senone mappings.

Definition at line 108 of file pocketsphinx_internal.h.

Referenced by ps_search_base_free(), ps_search_base_reinit(), and ps_search_init().

ps_lattice_t* ps_search_s::dag

Current hypothesis word graph.

Definition at line 110 of file pocketsphinx_internal.h.

Referenced by ngram_search_exit_score(), ngram_search_lattice(), ps_search_base_free(), and ps_start_utt().

dict_t* ps_search_s::dict

Pronunciation dictionary.

Definition at line 107 of file pocketsphinx_internal.h.

Referenced by ngram_search_lattice(), ps_lattice_bestpath(), ps_lattice_init_search(), ps_search_base_free(), ps_search_base_reinit(), and ps_search_init().

int32 ps_search_s::finish_wid

Finish word ID.

Definition at line 119 of file pocketsphinx_internal.h.

Referenced by ps_search_base_reinit(), and ps_search_init().

char* ps_search_s::hyp_str

Current hypothesis string.

Definition at line 109 of file pocketsphinx_internal.h.

Referenced by ngram_fwdtree_start(), ngram_search_bp_hyp(), ps_search_base_free(), and ps_start_utt().

ps_latlink_t* ps_search_s::last_link

Final link in best path.

Definition at line 111 of file pocketsphinx_internal.h.

Referenced by ngram_search_exit_score(), and ps_start_utt().

ps_search_t* ps_search_s::pls

Phoneme loop for lookahead.

Definition at line 104 of file pocketsphinx_internal.h.

Referenced by ps_get_kws().

int32 ps_search_s::post

Utterance posterior probability.

Definition at line 112 of file pocketsphinx_internal.h.

Referenced by ngram_search_exit_score(), and ps_start_utt().

int32 ps_search_s::silence_wid

Silence word ID.

Definition at line 118 of file pocketsphinx_internal.h.

Referenced by ps_search_base_reinit(), and ps_search_init().

int32 ps_search_s::start_wid

Start word ID.

Definition at line 117 of file pocketsphinx_internal.h.

Referenced by ps_search_base_reinit(), and ps_search_init().

ps_searchfuncs_t* ps_search_s::vt

V-table of search methods.

Definition at line 99 of file pocketsphinx_internal.h.

Referenced by ps_search_init().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/pocketsphinx_internal.h